OpenJPEG 2.3.0

Data Structures | Typedefs
tgt.h File Reference

Implementation of a tag-tree coder (TGT) More...

Go to the source code of this file.

## Data Structures
struct | opj_tgt_node
| Tag node More...
struct | opj_tgt_tree
| Tag tree More...

## Typedefs
typedef struct opj_tgt_node | opj_tgt_node_t
| Tag node More...
typedef struct opj_tgt_tree | opj_tgt_tree_t
| Tag tree More...

## Functions
Exported functions
opj_tgt_tree_t * | opj_tgt_create (OPJ_UINT32 numleafsh, OPJ_UINT32 numleafsv, opj_event_mgr_t *p_manager)
| Create a tag-tree More...
opj_tgt_tree_t * | opj_tgt_init (opj_tgt_tree_t *p_tree, OPJ_UINT32 p_num_leafs_h, OPJ_UINT32 p_num_leafs_v, opj_event_mgr_t *p_manager)
| Reinitialises a tag-tree from an exixting one. More...
void | opj_tgt_destroy (opj_tgt_tree_t *tree)
| Destroy a tag-tree, liberating memory More...
void | opj_tgt_reset (opj_tgt_tree_t *tree)
| Reset a tag-tree (set all leaves to 0) More...
void | opj_tgt_setvalue (opj_tgt_tree_t *tree, OPJ_UINT32 leafno, OPJ_INT32 value)
| Set the value of a leaf of a tag-tree More...
void | opj_tgt_encode (opj_bio_t *bio, opj_tgt_tree_t *tree, OPJ_UINT32 leafno, OPJ_INT32 threshold)
| Encode the value of a leaf of the tag-tree up to a given threshold More...
OPJ_UINT32 | opj_tgt_decode (opj_bio_t *bio, opj_tgt_tree_t *tree, OPJ_UINT32 leafno, OPJ_INT32 threshold)
| Decode the value of a leaf of the tag-tree up to a given threshold More...

## Detailed Description

Implementation of a tag-tree coder (TGT)

The functions in TGT.C have for goal to realize a tag-tree coder. The functions in TGT.C are used by some function in T2.C.